summaryrefslogtreecommitdiffstatshomepage
path: root/sheldon/install.sh
diff options
context:
space:
mode:
Diffstat (limited to 'sheldon/install.sh')
-rwxr-xr-xsheldon/install.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/sheldon/install.sh b/sheldon/install.sh
index dc431cf..06f7b5e 100755
--- a/sheldon/install.sh
+++ b/sheldon/install.sh
@@ -1,5 +1,10 @@
#!/bin/sh
+if ! command -v "sheldon" >/dev/null; then
+ printf "%s: sheldon not found, skipping...\n" "$0"
+ exit 0
+fi
+
printf "%s: Installing plugins\n" "$0"
sheldon -q lock